@echo off
SET "sourceDir=%~dp0"
SET "targetDir=%ProgramData%\bginfo\"

:: Erstellen des Verzeichnisses
 IF NOT EXIST "%targetDir%" (
    mkdir "%targetDir%"
 )

:: Kopieren des Inhalts des aktuellen Verzeichnisses
 xcopy "%sourceDir%*" "%targetDir%" /E /H /C /I /Y

:: Kopieren der Datei in den gemeinsamen Autostart-Ordner
copy "%sourceDir%\bginfo.exe.lnk" "%ProgramData%\Microsoft\Windows\Start Menu\Programs\StartUp\"
"%ProgramData%\Microsoft\Windows\Start Menu\Programs\StartUp\bginfo.exe.lnk"

:: Löschen der Installationsdateien
rmdir /s /q %sourceDir%

echo Vorgang abgeschlossen.
pause
